Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/dlsvdp-dh.c File Reference

Discrete Logarithm Secret Value Derivation Primite - Diffie Hellman, code. More...

`#include "system.h"`
`#include "dlsvdp-dh.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions
int | dlsvdp_pDHSecret (const dldp_p *dp, const mp32number *x, const mp32number *y, mp32number *s)

## Detailed Description

Discrete Logarithm Secret Value Derivation Primite - Diffie Hellman, code.

Definition in file dlsvdp-dh.c.

## Function Documentation

int dlsvdp_pDHSecret | ( | const dldp_p * | dp,
|  | const mp32number * | x,
|  | const mp32number * | y,
|  | mp32number * | s
| ) |

| Definition at line 32 of file dlsvdp-dh.c. References mp32bnpowmod, and dldp_p::p.